struct rio_dbell
Prev | Structures | Next

## Name

struct rio_dbell — RIO doorbell event

## Synopsis

    struct rio_dbell {
      struct list_head node;
      struct resource * res;
      void (* dinb) (struct rio_mport *mport, void *dev_id, u16 src, u16 dst, u16 info);
      void * dev_id;
    };

## Members

node

  Node in list of doorbell events

res

  Doorbell resource

dinb

  Doorbell event callback

dev_id

  Device specific pointer to pass on event

Prev | Up | Next
struct rio_msg | Home | struct rio_mport